package com.inkasso.factoring.purchManagement.entity.vo;

import com.inkasso.factoring.creditmanagement.entity.Enterprise;
import com.inkasso.factoring.purchManagement.entity.CPurchContractSupplementElectronicInfo;

import java.util.List;

/**
 * @Author Yafan Wang
 * @Date 2023/12/18 10:10
 */
public class PurchContractSupplementSignConfirmVo {

    private List<CPurchContractSupplementElectronicInfo> electronicInfoList;

    private Integer type;

    private Enterprise supplier;

    private Long basicId;

    public List<CPurchContractSupplementElectronicInfo> getElectronicInfoList() {
        return electronicInfoList;
    }

    public void setElectronicInfoList(List<CPurchContractSupplementElectronicInfo> electronicInfoList) {
        this.electronicInfoList = electronicInfoList;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Enterprise getSupplier() {
        return supplier;
    }

    public void setSupplier(Enterprise supplier) {
        this.supplier = supplier;
    }

    public Long getBasicId() {
        return basicId;
    }

    public void setBasicId(Long basicId) {
        this.basicId = basicId;
    }
}
